--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Tests whether the value in the record is contained in the expected_value set for the Comparison, where expected_value is an Array, Range, or Set.
constants: []

full_name: DataMapper::Query::Conditions::InclusionComparison
includes: 
- !ruby/object:RI::IncludedModule 
  name: RelationshipHandler
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: matches?
- !ruby/object:RI::MethodSummary 
  name: valid?
name: InclusionComparison
superclass: AbstractComparison
